using System;
using Orbiter.Interfaces;
using Vessel=Orbiter.Wrapper.Vessel;

namespace ShuttlePBdotNET
{
    public class ShuttlePBdotNETModule:VesselModule
    {
        public void InitModule(IntPtr nativeDLL){}

        public void ExitModule(IntPtr nativeDLL){}

        public IntPtr InitVessel(IntPtr vessel, int flightModel)
        {
            return Vessel.Init(vessel, flightModel, new Orbiter.StockVessels.ShuttlePB());//.ShuttlePB());
        }

        public void ExitVessel(IntPtr vessel)
        {
            Vessel.Exit(vessel);
        }
    }
}
